<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_thanhlydo.php');

$action = $_GET['action'];

switch ($action){ 
	case 'thanhlydo':
        $vitri = $_GET['vitri'];    $vitri = abs(intval($vitri));
        $item_code = $_GET['item_code'];
        //$pass2 = $_GET['pass2'];
        
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($item_code)) {
			echo "<font color='red'>Mã item không được để trống.</font><br>";
		}
		elseif(empty($vitri)) {
			echo "<font color='red'>Vị trí không được để trống .</font><br>";
		}
		elseif (strlen($item_code) != 32){
			echo "<font color='red'>Dữ liệu lỗi - Item code sai định dạng.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $vitri)){
			echo "<font color='red'>Dữ liệu lỗi - Vị trí chỉ được sử dụng số 1-9.</font>";
		}
		else {
			
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                //'name'    =>  $_SESSION['mu_nvchon'],
                'action'    =>  'thanhlydo',
                'vitri'    =>  $vitri,
                'item_code'   =>  $item_code,
                
				'pagesv'	=>	'sv_tiente_thanhlydo',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
            	if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
                    $vpcong = read_TagName($reponse, 'vpcong', 1);
					echo "|OK|<span class=color-green>Bạn đã thanh lý đồ thành công nhận $vpcong Vpoint.</span>|";
					$_SESSION['acc_vpoint'] = $_SESSION['acc_vpoint'] + $vpcong;
            	} else echo "<font color='red'><b>$reponse</b></font>";
            }
        }
	break;
}



?>